---
draft: false
date: 2025-05-07
title: "The future of Textualize"
categories:
  - News
authors:
  - willmcgugan
---

Textual has come a *long* way since I figured why not build an application framework on top of [Rich](https://github.com/Textualize/rich).

Both were initially hobby projects. I mean look how much fun I was having back then:

<!-- more -->

<blockquote class="twitter-tweet" data-media-max-width="560"><p lang="en" dir="ltr">Making good progress with Textual CSS. <br><br>Here&#39;s a &quot;basic&quot; app. The <a href="https://twitter.com/hashtag/Python?src=hash&amp;ref_src=twsrc%5Etfw">#Python</a> + CSS in the screenshots generates the layout in the terminal here.<br><br>Separating the layout and design from the runtime logic will make it easy to create gorgeous TUI apps. 🤩 <a href="https://t.co/Rxnwzs4pXd">pic.twitter.com/Rxnwzs4pXd</a></p>&mdash; Will McGugan (@willmcgugan) <a href="https://twitter.com/willmcgugan/status/1463977921891217411?ref_src=twsrc%5Etfw">November 25, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

Working on Textual has been a constant source of delight; figuring out how to make a terminal do things that it shouldn't really be able to do, and to a lesser extent a source of frustration when working around the baffling edge cases in emulators and the terminal protocol.

But work around it we did, and now Textual is an awesome piece of software that has spawned a community of developers building TUIs for [all kinds of things](https://github.com/textualize/transcendent-textual) (not to mention, [web apps](https://github.com/Textualize/textual-serve))!

Additionally, Textual has some of the [best docs](https://textual.textualize.io/guide/screens/) for any Open Source project. Shout out to [@squidfunk](https://x.com/squidfunk) and [@pawamoy](https://x.com/pawamoy) for the tech that makes these beautiful docs possible.

Ultimately though a business needs a product. Textual has always been a solution in search of a problem. And while there are plenty of problems to which Textual is a fantastic solution, we weren't able to find a shared problem or pain-point to build a viable business around. Which is why Textualize, the company, will be wrapping up in the next few weeks.

Textual will live on as an Open Source project. In the near term, nothing much will change. I will be maintaining Textual and Rich as I have always done. Software is never finished, but Textual is mature and battle-tested. I'm confident transitioning from a full-time funded project to a community project won't have a negative impact.

## Thanks!

I'd like to thank the awesome devs I worked with at Textualize, and the many developers that followed along, contributing and building apps. Wether you were an early adopter or you just discovered Textual, you made Textual what it is today.

## Get in touch

If you would like to talk Textual, feel free to find me on our [Discord server](https://github.com/textualize/textual/) or the socials.

I've also started a [blog](https://willmcgugan.github.io/) where I will write a little more on this from a more personal perspective.
